Bullet Collision Detection & Physics Library: btDeformableRigidContactConstraint Class Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Public Attributes | List of all members
btDeformableRigidContactConstraint Class Reference

`#include <btDeformableContactConstraint.h>`

Inheritance diagram for btDeformableRigidContactConstraint:
[legend]
Collaboration diagram for btDeformableRigidContactConstraint:
[legend]

## Public Member Functions
| btDeformableRigidContactConstraint ()
| btDeformableRigidContactConstraint (const btSoftBody::DeformableRigidContact &c)
| btDeformableRigidContactConstraint (const btDeformableRigidContactConstraint &other)
virtual | ~btDeformableRigidContactConstraint ()
virtual btVector3 | getVa () const
virtual btScalar | solveConstraint ()
virtual btScalar | solveSplitImpulse (const btContactSolverInfo &infoGlobal)
virtual void | setPenetrationScale (btScalar scale)
Public Member Functions inherited from btDeformableContactConstraint
| btDeformableContactConstraint (const btVector3 &normal)
| btDeformableContactConstraint (bool isStatic, const btVector3 &normal)
| btDeformableContactConstraint (const btDeformableContactConstraint &other)
| btDeformableContactConstraint ()
virtual | ~btDeformableContactConstraint ()
virtual btVector3 | getVb () const =0
virtual btVector3 | getDv (const btSoftBody::Node *) const =0
virtual void | applyImpulse (const btVector3 &impulse)=0
virtual void | applySplitImpulse (const btVector3 &impulse)=0

## Public Attributes
btVector3 | m_total_normal_dv
btVector3 | m_total_tangent_dv
btScalar | m_penetration
const btSoftBody::DeformableRigidContact * | m_contact
Public Attributes inherited from btDeformableContactConstraint
bool | m_static
btVector3 | m_normal

## Detailed Description

Definition at line 165 of file btDeformableContactConstraint.h.

## Constructor & Destructor Documentation

## ◆ btDeformableRigidContactConstraint() [1/3]

btDeformableRigidContactConstraint::btDeformableRigidContactConstraint | ( |  | ) |
| inline

Definition at line 173 of file btDeformableContactConstraint.h.

## ◆ btDeformableRigidContactConstraint() [2/3]

btDeformableRigidContactConstraint::btDeformableRigidContactConstraint | ( | const btSoftBody::DeformableRigidContact & | c | ) |

Definition at line 137 of file btDeformableContactConstraint.cpp.

## ◆ btDeformableRigidContactConstraint() [3/3]

btDeformableRigidContactConstraint::btDeformableRigidContactConstraint | ( | const btDeformableRigidContactConstraint & | other | ) |

Definition at line 147 of file btDeformableContactConstraint.cpp.

## ◆ ~btDeformableRigidContactConstraint()

virtual btDeformableRigidContactConstraint::~btDeformableRigidContactConstraint | ( |  | ) |
| inlinevirtual

Definition at line 176 of file btDeformableContactConstraint.h.

## Member Function Documentation

## ◆ getVa()

btVector3 btDeformableRigidContactConstraint::getVa | ( |  | ) | const
| virtual

Implements btDeformableContactConstraint.

Definition at line 157 of file btDeformableContactConstraint.cpp.

## ◆ setPenetrationScale()

virtual void btDeformableRigidContactConstraint::setPenetrationScale | ( | btScalar | scale | ) |
| inlinevirtual

Implements btDeformableContactConstraint.

Definition at line 187 of file btDeformableContactConstraint.h.

## ◆ solveConstraint()

btScalar btDeformableRigidContactConstraint::solveConstraint | ( |  | ) |
| virtual

Implements btDeformableContactConstraint.

Definition at line 209 of file btDeformableContactConstraint.cpp.

## ◆ solveSplitImpulse()

btScalar btDeformableRigidContactConstraint::solveSplitImpulse | ( | const btContactSolverInfo & | infoGlobal | ) |
| virtual

Implements btDeformableContactConstraint.

Definition at line 291 of file btDeformableContactConstraint.cpp.

## Member Data Documentation

## ◆ m_contact

const btSoftBody::DeformableRigidContact* btDeformableRigidContactConstraint::m_contact

Definition at line 171 of file btDeformableContactConstraint.h.

## ◆ m_penetration

btScalar btDeformableRigidContactConstraint::m_penetration

Definition at line 170 of file btDeformableContactConstraint.h.

## ◆ m_total_normal_dv

btVector3 btDeformableRigidContactConstraint::m_total_normal_dv

Definition at line 168 of file btDeformableContactConstraint.h.

## ◆ m_total_tangent_dv

btVector3 btDeformableRigidContactConstraint::m_total_tangent_dv

Definition at line 169 of file btDeformableContactConstraint.h.

The documentation for this class was generated from the following files:

- btDeformableContactConstraint.h
- btDeformableContactConstraint.cpp